/*
* Licensed Materials - Property of IBM
* Restricted Materials of IBM
* 
* com.ibm.rational.wvcm.stp.cc.CcAttribute
*
* (C) Copyright IBM Corporation 2012, 2014.  All Rights Reserved. 
* Note to U.S. Government Users Restricted Rights:  Use, duplication or  
* disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
*/
package com.ibm.rational.wvcm.stp.cc;

/**
 * Custom task provider configuration options for UCM ClearCase
 *
 */
public interface CcTaskProviderOptionsUcm extends CcTaskProviderOptions {
    
    /**
     * Returns the activity format string
     * @return activity format
     */
    public String getActivityFormat();
    
    /**
     * Returns true if a task link is required (CMI policy)
     * @return true or false
     */
    public boolean getRequireTask();
}
